Home
Home
  1. ๐Ÿ’ธTransaction Screening API
  • ๐Ÿš€ Getting Started
  • ๐Ÿ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • ๐Ÿ“ก Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • ๐ŸŒŠ Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • ๐Ÿ“ก Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • ๐Ÿ“ค Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • ๐Ÿ’ธTransaction Screening API
    • ๐Ÿ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • ๐Ÿ“ค Webhooks
    • ๐Ÿ“ก Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • ๐Ÿ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. ๐Ÿ’ธTransaction Screening API

Supported Currencies

This endpoint allows you to view all available cryptocurrencies to ensure that the selected network corresponds to a valid asset.
URL: https://app.rillis.io/api/v1/resources/validation/coins
Method: POST
API Reference: To see the technical details, parameters, and live testing for this process, go to:
GET - List Cryptocurrencies

Request#

Body Parameters#

ParameterTypeRequiredDescription
client_idStringYesYour unique client identifier.
client_secretStringYesYour secret key for API authentication.

Example Request (All Cryptocurrencies)#

{
  "client_id": "your_client_id",
  "client_secret": "your_client_secret"
}

Response#

A successful request will return a JSON response with array contains the following properties:
ParameterTypeDescription
networkStringThe blockchain network (e.g., "Bitcoin", "Ethereum").
networkShortStringShort code for the network.
assetsArrayList of assets available on this network.

Example Response (All Cryptocurrencies)#

[
    {
      "network": "Bitcoin",
      "networkShort": "BTC",
      "assets": [
        "BTC"
      ]
    },
    {
      "network": "Ethereum",
      "networkShort": "ETH",
      "assets": [
        "ETH",
        "USDT",
        "USDC"
      ]
    }
]

Error Responses#

In case of an error, the API will return an appropriate HTTP status code along with a JSON response containing error details:
Status CodeDescription
400Bad Request - The request was invalid or cannot be processed.
401Unauthorized - Authentication credentials are missing or invalid.
403Forbidden - The client does not have permission to access the requested resource.
429Too Many Requests - The client has sent too many requests in a given amount of time.
500Internal Server Error - An error occurred on the server.

Example Error Response#

{
  "success": false,
  "error": "Invalid network",
  "error_code": "INVALID_PARAMETER",
  "details": "The specified network is not supported"
}

Major Supported Networks#

NetworkNative AssetDescription
BitcoinBTCThe original cryptocurrency blockchain.
EthereumETHA decentralized, open-source blockchain with smart contract functionality.
Binance Smart ChainBNBA blockchain network built for running smart contract-based applications.
SolanaSOLA high-performance blockchain supporting smart contracts and decentralized applications.
CardanoADAA proof-of-stake blockchain platform with multi-layer architecture.
RippleXRPA digital payment protocol and cryptocurrency designed for financial transactions.
PolygonMATICA Layer 2 scaling solution for Ethereum that enables faster and cheaper transactions.
AvalancheAVAXA platform for launching decentralized applications and enterprise blockchain deployments.

Common Tokens#

TokenNetworkDescription
USDTMultipleTether USD, a stablecoin pegged to the US dollar.
USDCMultipleUSD Coin, a stablecoin pegged to the US dollar.
DAIEthereumA decentralized stablecoin pegged to the US dollar.
LINKEthereumChainlink, a decentralized oracle network.
UNIEthereumUniswap, a decentralized exchange protocol.
AAVEEthereumAave, a decentralized lending protocol.

Rate Limits#

Maximum of 100 requests per minute.
Maximum of 1,000 requests per hour.
Maximum of 10,000 requests per day.
Exceeding these limits will result in a 429 Too Many Requests response.
Modified atย 2026-02-05 20:51:40
Previous
Document Types
Next
Diagram
Built with